<!-- Here is the ending page, called at the end of the checkout, just before the user is redirected to the payment plateform -->
<div class="hikashop_v12_end" id="hikashop_v12_end">


	<form id="hikashop_v12_form" name="hikashop_v12_form" action="" method="post">
		<legend>Cart Total: £<?= $this->total; ?></legend>
		<legend>Personalize Your Credit</legend>
		<label>Repayment Period</label>
		<label class="radio">
			<input type="radio" data-period="6" name="period" id="period1" value="27" checked>
			6 Months
		</label>
		<label class="radio">
			<input type="radio" data-period="10" name="period" id="period2" value="88">
			10 Months
		</label>
		<label class="radio">
			<input type="radio" data-period="12" name="period" id="period3" value="28">
			12 Months
		</label>
		<p>&nbsp;</p>
		<label for="deposit">Deposit</label>
		<div class="input-prepend">
			<span class="add-on">£</span>
			<input type="number" name="deposit" value="200" step="50" id="deposit" />
		</div>
		<span class="help-block">Add a voluntary deposit to reduce repayments</span>
		<p>&nbsp;</p>
		<legend>Your monthly repayments will be...</legend>
		<div class="input-prepend">
			<span class="add-on">£</span>
			<input class="span2" id="repayments" type="text" value="<?= number_format($this->total / 6, 2); ?>" disabled>
		</div>
		<span id="repayment-help" class="help-block"></span>
		<p>&nbsp;</p>
		<input id="hikashop_v12_button" type="submit" class="btn btn-primary" value="Request Application Link" name="" />
		<input type="hidden" name="data" value="<?= $this->data; ?>" />
		<input type="hidden" id="total" name="total" value="<?= $this->total; ?>" />

	</form>

	<div id="ajax-response-success" class="ajax-response-success" style="display: none">
		<h2>Application Form</h2>
		<p>If a new window does not open within 10 seconds, please click on the link below to take you to the credit application form</p>
		<p>After completing the form successfully your order will be processed and an update email will be sent.</p>
		<p>&nbsp;</p>
		<p><a id="application_link" href="" target="_blank" class="btn btn-primary">Application Form</a></p>
	</div>

	<div id="ajax-response-error" class="ajax-response-error" style="display: none">
		<h4 id="ajax-error-message"></h4>
	</div>

</div>
<script type="text/javascript">
jQuery(document).ready(function($){

	jQuery('input[name="period"]:radio').change(function(){
		updateRepayments();
	});

	jQuery('#deposit').on('input', function() {
		updateRepayments();
	});

	//Update on pageload to include the deposit
	updateRepayments();

	function updateRepayments() {
		var deposit = jQuery('#deposit').val() ? Number(jQuery('#deposit').val()) : 0;
		var total = Number(jQuery('#total').val());
		if(deposit > total) {
			jQuery('#repayments').val(0);
			//Disable the submit button
			jQuery('#hikashop_v12_button').attr('disabled', 'disabled');
			//Add a message that the deposit is more than the total
			jQuery('#repayment-help').text('Your deposit is larger than the order total!');
		} else {
			var repayment = ((total - deposit) / jQuery('input[name="period"]:checked').data('period')).toFixed(2);
			jQuery('#repayments').val(repayment);
			jQuery('#repayment-help').text('');
			//Enable the submit button
			jQuery('#hikashop_v12_button').attr('disabled', false);
		}
	}

	// process the form
	jQuery('form#hikashop_v12_form').submit(function(event) {

		//Disable the submit button
		jQuery('#hikashop_v12_button').attr('disabled', 'disabled');

		// get the form data
		// there are many ways to get this data using jQuery (you can use the class or id also)
		var formData = {
			'product_id'      : jQuery('input[name="period"]:checked').val(),
			'deposit'     : jQuery('input[name=deposit]').val(),
			'data'    		: jQuery('input[name=data]').val()
		};

		// process the form
		jQuery.ajax({
			type        : 'post',
			url         : '?option=com_ajax&plugin=v12&format=json',
			data        : formData,
			dataType    : 'json',
			encode      : true
		}).done(function(data) {

			// log data to the console so we can see
			console.log(data);

			if (data.success) {
				if(data.data[0].formUrl) {
					jQuery('#application_link').attr("href", data.data[0].formUrl);

					//Hide the form and show the application link
					jQuery('#hikashop_v12_form').hide( "slow",function(){
						jQuery('#ajax-response-success').show("slow");
						//Click the link after 5 seconds
						setTimeout(function(){
							//Use window open as a click event will bind to the link before it has an href value
							window.open(data.data[0].formUrl);
						}, 5000);
					});

				} else if (data.data[0].noapplication) {
					//V12 didn't return an application link
					jQuery('#hikashop_v12_form').hide( "slow",function(){
						jQuery('#ajax-response-error').show("slow");
						jQuery('#ajax-error-message').html('There was a problem with the application submission. Please contact us to manually create your order.');
					});
				} else if (data.data[0].requesterror) {
					//Error contacting v12
					jQuery('#hikashop_v12_form').hide( "slow",function(){
						jQuery('#ajax-response-error').show("slow");
						jQuery('#ajax-error-message').html('There was a problem contacting the finance company. Please try again shortly or contact us directly.');
						//Re-enable the submit button
						jQuery('#hikashop_v12_button').attr('disabled', false);
					});
				}

			} else {
				//Ajax error
				jQuery('#ajax-response-error').show("slow", function(){
					jQuery('#ajax-error-message').html('There was a problem sending your request. Please try again.');
					//Re-enable the submit button
					jQuery('#hikashop_v12_button').attr('disabled', false);
				});

				//Hide the error message
				setTimeout(function(){
					jQuery('#ajax-response-error').hide("slow");
				}, 10000);

			}

		});


		event.preventDefault();
	});

});
</script>
